Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Object System.Reflection.ICustomAttributeProvider System.Runtime.InteropServices._MemberInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._MemberInfo)) System.Runtime.InteropServices.ComVisible(true)

The class is the abstract base class for classes used to obtain information about all members of a class (constructors, events, fields, methods, and properties).

This class introduces the basic functionality that all members provide.

Obtains information about the attributes of a member and provides access to member metadata.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Only a derived class can create this MemberInfo class.

  Initializes a new instance of the class.

  0
- Property
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Reflection.CustomAttributeData> To be added. To be added.

  Gets a collection that contains this member's custom attributes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  The object of the class that declares the member reflected by the current instance; or, if the member reflected by the current instance is a global member.

  The following example demonstrates the difference between the and of a member.

  `using System; using System.Reflection; public class BaseClass { public void ReflectedMethod() {} } public class DerivedClass: BaseClass {} public class DeclaringTypeExample { public static void Main() { Type t = typeof(DerivedClass); MemberInfo [] memInfo = t.GetMember("ReflectedMethod"); Console.WriteLine("Reflected type is {0}.", memInfo[0].ReflectedType); Console.WriteLine("Declaring type is {0}.", memInfo[0].DeclaringType); } }`

  The output is

  Reflected type is DerivedClass.

  Declaring type is BaseClass.

  The property retrieves a reference to the object for the type that declares this member. A member of a type is either declared by the type or inherited from a base type, so the Type object returned by the property might not be the same as the Type object used to obtain the current object.

  If the Type object from which this MemberInfo object was obtained did not declare this member, the property will represent one of its base types.

  If the MemberInfo object is a global member (that is, if it was obtained from the method, which returns global methods on a module), the returned will be null.

  Gets the class that declares this member.

  0
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if equals the type and value of this instance; otherwise, false.

  An object to compare with this instance, or null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  This method ignores the parameter for properties and events. To search the inheritance chain for attributes on properties and events, use the appropriate overloads of the method.

  In the .NET Framework version 2.0, this method returns security attributes on methods, constructors, and types if they are stored in the new metadata format. Assemblies compiled with version 2.0 use this format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  When overridden in a derived class, returns an array of all custom attributes applied to this member.

  An array that contains all the custom attributes applied to this member, or an array with zero elements if no attributes are defined.

  true to search this member's inheritance chain to find the attributes; otherwise, false. This parameter is ignored for properties and events; see Remarks.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  This method ignores the parameter for properties and events. To search the inheritance chain for attributes on properties and events, use the appropriate overloads of the method.

  In the .NET Framework version 2.0, this method returns security attributes on methods, constructors, and types if the attributes are stored in the new metadata format. Assemblies compiled with version 2.0 use this format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  When overridden in a derived class, returns an array of custom attributes applied to this member and identified by .

  An array of custom attributes applied to this member, or an array with zero elements if no attributes assignable to have been applied.

  The type of attribute to search for. Only attributes that are assignable to this type are returned. true to search this member's inheritance chain to find the attributes; otherwise, false. This parameter is ignored for properties and events; see Remarks.
- Method
  4.0.0.0
  System.Collections.Generic.IList<System.Reflection.CustomAttributeData>

  Use this method to examine the custom attributes of code in the reflection-only context, in cases where the custom attributes themselves are defined in code that is loaded into the reflection-only context. Methods like and cannot be used in such cases, because they create instances of the attributes. Code in the reflection-only context cannot be executed. For more information and for example code, see the class.

  This method gets custom attribute data for types, nested types, and type members, because the class and the classes in the namespace that represent type members all derive from .

  Returns a list of objects representing data about the attributes that have been applied to the target member.

  A generic list of objects representing data about the attributes that have been applied to the target member.

- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  System.Type To be added. To be added.

  Gets a object representing the type of the current instance.

  1.0.5000.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method ignores the parameter for properties and events. To search the inheritance chain for attributes on properties and events, use the appropriate overloads of the method.

  In the .NET Framework version 2.0, this method returns true if a type, method, or constructor has security attributes stored in the new metadata format. Assemblies compiled with version 2.0 use this format. Dynamic assemblies and assemblies compiled with earlier versions of the .NET Framework use the old XML format. See Emitting Declarative Security Attributes.

  When overridden in a derived class, indicates whether one or more attributes of the specified type or of its derived types is applied to this member.

  true if one or more instances of or any of its derived types is applied to this member; otherwise, false.

  The type of custom attribute to search for. The search includes derived types. true to search this member's inheritance chain to find the attributes; otherwise, false. This parameter is ignored for properties and events; see Remarks.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added.

  This property is overridden in derived classes, and the override returns the appropriate member type. Therefore, when you examine a set of objects — for example, the array returned by — the property can be used to determine the member type of any given member.

  To get the MemberType property, get the class . From the Type, get the array. From the MethodInfo array, get the MemberTypes.

  When overridden in a derived class, gets a value indicating the type of the member — method, constructor, event, and so on.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The tokens obtained using this property can be passed to the unmanaged reflection API. For more information, please see The Unmanaged Reflection API.

  Using the unmanaged reflection API requires familiarity with the Common Language Infrastructure (CLI) documentation, especially "Partition II: Metadata Definition and Semantics" and "Partition III: CIL Instruction Set". The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Gets a value that identifies a metadata element.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added.

  This property is provided as a convenience. It is equivalent to using the property to get the type in which the method is declared, and then calling the property of the resulting object.

  Gets the module in which the type that declares the member represented by the current is defined.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the name of the member reflected by the current instance.

  Only the simple name of the member is returned, not the fully qualified name.

  To get the property, get the class . From the Type, get the array. From a MemberInfo element of the array, obtain the Name property.

  Gets the name of the current member.

  0
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are equal.

  true if is equal to ; otherwise false.

  The to compare to . The to compare to .
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are not equal.

  true if is not equal to ; otherwise false.

  The to compare to . The to compare to .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  The object for the class through which the current instance was obtained.

  The ReflectedType property retrieves the object that was used to obtain this instance of MemberInfo. This may differ from the value of the property if this object represents a member that is inherited from a base class.

  If the MemberInfo object is a global member (that is, if it was obtained from the method, which returns global methods on a module), the returned will be null.

  Gets the class object that was used to obtain this instance of MemberInfo.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Type To be added.

  Gets a object representing the class.

  A object representing the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
0